#include <stdio.h>

void emit(char* buf, int pos) {
    int i=0;
    for ( i=0; i < pos; i++)
       putchar(buf[i]);
    putchar('\n'); 
}

/** Convert each line from standard input */
  void transduce() {
      #define BUFLEN 1000
      #define LF '\n'
      #define CR '\r'
      char buf[BUFLEN]; /* Accumulate line into this buffer */
      int pos=0; /* Index for next character in buffer */

      char inChar; /* Next character from input */

      int atCR = 0; /* 0="within line", 1="optional DOS LF" */

      while ((inChar = getchar()) != EOF ) {
        switch (inChar) {
        case LF:
          if (atCR) { /* Optional DOS LF */
              atCR = 0; 
          } else {     /* Encountered CR within line */
            emit(buf, pos);
            pos=0;
          }
          break;
        case CR:
          emit(buf, pos);
          pos=0;
          atCR = 1;
        break;
      default:
        if (pos >= BUFLEN-2) printf("Buffer overflow\n");
        buf[pos++] = inChar;
      }/* switch */
    }
    if (pos > 0) {
        emit(buf, pos);
    }
  }

int main() {
   transduce();
}

